For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch all API versions

Retrieves all available versions of the responding API.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml
get/infos/versions
GET /databases/postgresql/infos/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
[
  {
    "name": "v2.1",
    "swaggerUrl": "https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml"
  }
]

Last updated

Was this helpful?